<?php

/*
 * Some default configurations
 */
function workflow_ng_default_configuration() {
  $configurations = array();
  $configurations['config1'] = array(
    '#label' => t('Print the content title of pages and stories'),
    '#event' => 'node_view',
    '#module' => 'workflow-ng-ui',
    '#active' => FALSE,
  );
  //configure a conditoin which evalutates if the node type is a page
  $condition1 = workflow_ng_use_condition('workflow_ng_condition_token_compare', array(
    '#label' => t('Is page'),
    '#settings' => array(
      'used arguments1' => array('node'),
      'text1' => '[node:type]',
      'used arguments2' => array(),
      'text2' => 'page')
    )
  );
  $condition2 = workflow_ng_use_condition('workflow_ng_condition_token_compare', array(
    '#label' => t('Is story'),
    '#settings' => array(
      'used arguments1' => array('node'),
      'text1' => '[node:type]',
      'used arguments2' => array(),
      'text2' => 'story')
    )
  );
  //OR them
  $conditions = workflow_ng_configure('OR', $condition1, $condition2);
  //configure an action
  $action = workflow_ng_use_action('workflow_ng_action_drupal_message', array(
    '#label' => t('Show the title of this content'),
    '#settings' => array(
      'message' => 'Workflow-ng example: The title of this post is [node:title]',
      'used arguments' => array('node')
    )
  ));
  //add the elements to the configuration
  $configurations['config1'] = workflow_ng_configure($configurations['config1'], $conditions, $action);
  return $configurations;
}
